
server {

# this is a comment 

	server_name server1;

	listen 0.0.0.0:4040;

#	client_body_limit asdfa;
	client_body_limit 5000;
					 # Max == 18446744073709551615 / 1024 == 18014398509481984


	index index.html; # this is another comment
	#index mdr.html; # this is another comment

	root ./www/;

	error_page 404 ./www/error_pages/error_404.html;
#	error_page 403 ./www/error_pages/error_404.html;



	location / {
		allow_methods GET;
		root ./www/;
	}

	location /srcs/cgi-bin/ {
		root ./srcs/cgi-bin/;
		allow_methods POST;
		cgi_ext php;
	}

	location /list {
		autoindex on;
	}

	location /cgi-bin {
		root ./srcs/cgi-bin/;
		cgi_ext out php sh;
	}

	location /upload {
		allow_methods POST;
	#	autoindex on;
	#	root ./www/;
	#	index upload_form_single.html;

	#	upload_dir ./www/user_files/;
		# root doesn’t matter if used only with POST and no CGI
	}

	location /uploaded {
		allow_methods GET;
		autoindex on;
	#	upload_dir ./www/user_files/;
		root ./www/user_files;
		# root doesn’t matter if used only with POST and no CGI
	}

	location /the_dump {
		allow_methods GET DELETE;
		root ./www/user_files;
		autoindex on;
	}

	location /redirect {
		redirect 307 https://fr.wikipedia.org/wiki/Ketchup;
#		redirect 307 https://www.youtube.com/watch?v=rG6b8gjMEkw;
	}

	location /test {
		index index1.html subdex.html;
		root ./www/test/;
	}

	location /stylesheet {
		root ./stylesheet/;
	}

	location /test/index1.html {
		root ./www/test/index1.html;
		index index1.html subdex.html;
	}

	location /hilarious_404/ {
		redirect 301 https://berniesanders.com/404/;
	}

	location /test/something.html {
	#	allow_methods DELETE;
		root ./www/test/something.html;
	}

	location /test/test_deeper/ {
#		allow_methods
		root ./www/test/test_deeper/;
		index index1.html;
	}

	location /test/test_deeper/super_deep {
		root ./www/test/test_deeper/super_deep/;
		index something.html;
	}

}

server {
	server_name server2;

	listen 0.0.0.0:4040;

	index index.html;
	root ./www2/;
}
